using System;

namespace CsSoundStudy
{
  //   WAV    - N*N*N/8
	public class riffChunk 
  {
		public string FileName;
		public string sGroupID;       // RIFF
		public uint   dwFileLength;		//   (    8   )
		public string sRiffType;      //  ,  WAVE
	}

	public class fmtChunk 
  {
		public string  sChunkID;    	   // 4  -  "fmt "
		public uint    dwChunkSize;      //  
		public ushort  wFormatTag;  	   //  , 1 - 
		public ushort  wChannels;        //  : 1-5
		public uint    dwSamplesPerSec;  //    
		public uint    dwAvgBytesPerSec; //       (F*N*N/8)
    public ushort  wBlockAlign;      //      (N*N/8)
		public uint    dwBitsPerSample;  //    
	}

	public class factChunk 
  {
		public string sChunkID;    		  // 4 : "fact"
		public uint   dwChunkSize;    	//  
		public uint   dwNumSamples;    	//  ;
	}
  	
	public class dataChunk 
  {
		public string sChunkID;    		// 4 : "data"
		public uint   dwChunkSize;    //  
		public int	  lFilePosition;	//      ( long)
		public uint   dwMinLength;		//    
		public double dSecLength;		  //    
		public uint   dwNumSamples;		//    
    //public int   dBegSamples;
	}

}
